Solved php error going from 1.2.1.0 to 1.2.2.2/1.2.3.0

 
Post new topic   Reply to topic    Aprelium Forum Index -> PHP
View previous topic :: View next topic  
Author Message
skol
-


Joined: 04 Apr 2003
Posts: 8

PostPosted: Fri Feb 11, 2005 6:42 pm    Post subject: Solved php error going from 1.2.1.0 to 1.2.2.2/1.2.3.0 Reply with quote

Hi,

I tried to upgrade my web-server from v1.2.1.0 to v1.2.2.2 and v1.2.3.0 the past year, although it would never work.
The problem was that after upgrading the web-server no pages could be seen, I would get an error saying: No input file specified

Well, after searching for the phrase "No input file specified" on google it came to my attention that it had to do with php.

So I started up the web-server console to see if there were some changes between v1.2.1.0 and v1.2.2.2/v1.2.3.0, all the configurations were the same for all the 3 different version of the web-server, although only v1.2.1.0 would work!

I found the problem by using the web-server console:
Home -> Server Configuration -> Advanced -> CGI Parameters
Interpreter: C:\Php\php.exe
Associated Extensions: php html htm l2x
With these settings v1.2.1.0 worked but not the later versions.

I upgraded to v1.2.3.0 and did the following change in order for the web-server to work:
Home -> Server Configuration -> Advanced -> CGI Parameters
Interpreter: C:\Php\php.exe
Associated Extensions: php l2x

By removing the extensions html and htm the webserver v1.2.3.0 finally worked!
Back to top View user's profile Send private message
TRUSTAbyss
-


Joined: 29 Oct 2003
Posts: 3720
Location: USA, GA

PostPosted: Fri Feb 11, 2005 6:48 pm    Post subject: Reply with quote

The reason why is because you where parsing html files as PHP , if you do this
then im sure PHP will give an error because its reading html files as PHP LateR!
_________________
Computer Programmer & Networking Specialist

Back to top View user's profile Send private message Visit poster's website MSN Messenger
Anonymoose
-


Joined: 09 Sep 2003
Posts: 2192

PostPosted: Fri Feb 11, 2005 6:50 pm    Post subject: Reply with quote

Correct me if I'm wrong but I thought if you wanted to embed any PHP code in HTML pages you had to also associate .htm .html with the PHP interpreter?
Back to top View user's profile Send private message
k1ll3rdr4g0n
-


Joined: 04 Jul 2004
Posts: 609

PostPosted: Fri Feb 11, 2005 7:29 pm    Post subject: Reply with quote

Anonymoose wrote:
Correct me if I'm wrong but I thought if you wanted to embed any PHP code in HTML pages you had to also associate .htm .html with the PHP interpreter?


Yup, I had this problem with apache for awhile until i figure out the solution a little bit afterwards. I know, I know this is Abyss Web server, but they both have the same concept.
_________________
Back to top View user's profile Send private message AIM Address
Moxxnixx
-


Joined: 21 Jun 2003
Posts: 1226
Location: Florida

PostPosted: Fri Feb 11, 2005 9:38 pm    Post subject: Reply with quote

I can't figure out why the upgrade won't allow you to do this.

Temporary solution:
You could just rename your html files to php files and they'll still parse correctly.
Back to top View user's profile Send private message Visit poster's website
aprelium
-


Joined: 22 Mar 2002
Posts: 6800

PostPosted: Sat Feb 12, 2005 12:09 am    Post subject: Re: Solved php error going from 1.2.1.0 to 1.2.2.2/1.2.3.0 Reply with quote

skol,

The problem was totally solved with the new version 2.0. You can now associate PHP with any extension you want.
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top View user's profile Send private message Send e-mail
skol
-


Joined: 04 Apr 2003
Posts: 8

PostPosted: Tue Feb 15, 2005 9:51 am    Post subject: Reply with quote

Hi,

the reason to why it took so long for me to figure out where the problem was, is as Anonymoose said.
That in order for embeded PHP code in HTML pages to work correctly you had to associate .htm .html with the PHP interpreter.
Although with v1.2.2.2 and up it seems as it's not necessary to associate .htm and .html with the PHP interpreter for embeded PHP code in HTML pages to work, at least it's working for me.

Moxxnixx: I solved the problem by removing the extensions .htm and .html from the php interpreter and all the php code in html pages works just fine, there's no need to rename countless html pages to php, but thanks for the suggestion :-)
Back to top View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> PHP All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group